<?php
/**
 * @package Sj Suggeted Posts for Kunena
 * @version 2.5.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

// no direct access
defined ( '_JEXEC' ) or die ( '' );

if (!defined('DS')) {
	define('DS', DIRECTORY_SEPARATOR);
}

if(!class_exists('plgSystemSuggested_Posts_Ajax')){
	echo JText::_('WARNING_NOT_INSTALL_PLUGIN');
	return;
}
// Kunena detection and version check
$minKunenaVersion = '2.0';
if (!class_exists('KunenaForum') || !KunenaForum::isCompatible($minKunenaVersion)) {
	echo JText::sprintf('MOD_KUNENASEARCH_KUNENA_NOT_INSTALLED', $minKunenaVersion);
	return;
}
// Kunena online check
if (!KunenaForum::enabled()) {
	echo JText::_('MOD_KUNENASEARCH_KUNENA_OFFLINE');
	return;
}
require_once dirname(__FILE__).DS.'core'.DS.'helper.php';

$layout = $params->get('layout', 'default');
$cacheid = md5(serialize(array ($layout, $module->id)));

$cacheparams = new stdClass;
$cacheparams->cachemode = 'id';
$cacheparams->class = 'SuggestedPostsHelper';
$cacheparams->method = 'getList';
$cacheparams->methodparams = array($params, $module);
$cacheparams->modeparams = $cacheid;
	// ini_set('display_errors', 'on');
	// ini_set('error_reporting', E_ALL );
$list = JModuleHelper::moduleCache ($module, $params, $cacheparams);
$is_ajax = !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest';
if($is_ajax){
	$suggested_posts_moduleid	= JRequest::getVar('suggested_posts_moduleid', null);
	if($suggested_posts_moduleid == $module->id){
		$result = new stdClass();
		ob_start();
		require  JModuleHelper::getLayoutPath($module->module, $layout.'_list');
		$result->total = SuggestedPostsHelper::$sug_total;		

		$buffer = ob_get_contents();
		$result->items_markup = preg_replace(
				array(
						'/ {2,}/',
						'/<!--.*?-->|\t|(?:\r?\n[ \t]*)+/s'
				),
				array(
						' ',
						''
				),
				$buffer
		);
		ob_end_clean();
		echo json_encode($result);
		exit;
	}
}else{
	require JModuleHelper::getLayoutPath($module->module, $layout);
	require JModuleHelper::getLayoutPath($module->module, $layout.'_js');
}



