<?php
/**
 * @package Sj Suggeted Posts for Kunena
 * @version 2.5.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */
 
// no direct access
defined ( '_JEXEC' ) or die ( '' );

?>
<?php
if(!empty($list)){
	$i= 0; foreach($list as $item){ $i++; 
	$last_class = ($i == (count($list) ))?' sug-last':'';
	$key_search = $_POST['suggestion_key'];
	?>
	<div class="sug-return <?php echo $last_class; ?>">
		<?php
		if ( $params->get ( 'sh_topiciconoravatar' ) == 1 ) { ?>
			<a class="return-avatar" href="<?php echo $item->link_user ?>" title="<?php echo $item->name; ?>" <?php echo SuggestedPostsHelper::parseTarget($params->get('link_target')); ?> >
				<?php echo $item->avatar; ?>
			</a>
		<?php } else if ( $params->get ( 'sh_topiciconoravatar' ) == 2 ) { ?>
			<a class="return-avatar" href="<?php echo $item->link_topic ?>" title="<?php echo $item->subject; ?>" <?php echo SuggestedPostsHelper::parseTarget($params->get('link_target')); ?> >
				<?php echo $item->topic_icon; ?>
			</a>
		<?php } ?>
		<?php if($item->subject != '' ){?>
		<div class="return-subject">
		<?php
			$subject = SuggestedPostsHelper::highlight($key_search, $item->subject);
			$subject = (strlen($subject) > $params->get('sh_subjectlength', 25))?SuggestedPostsHelper::truncate($subject, $params->get('sh_subjectlength', 25)):$subject;
		?>
			<a href="<?php echo $item->link_topic; ?>" title="<?php echo $item->subject ?>" <?php echo SuggestedPostsHelper::parseTarget($params->get('link_target')); ?> >
				<?php echo $subject; ?>
			</a>
		</div>
		<?php }
		
		if($params->get('sh_category') == 1){ ?>
		<div class="return-category">
			<?php echo JText::_('MOD_SUGGESTED_POTS_IN_CATEGORY');?>
			<a href="<?php echo $item->link_cat; ?>" title="<?php echo $item->catname; ?>" <?php echo SuggestedPostsHelper::parseTarget($params->get('link_target')); ?>  >
				<?php echo $item->catname; ?>
			</a>
		</div>
		<?php }
		
		if($params->get('sh_firstcontentcharacter') == 1 && ($item->message != '')){
		?>
		<div class="return-message">
			<?php
			$message = SuggestedPostsHelper::_cleanText($item->message);
			$message = SuggestedPostsHelper::highlight($key_search, $item->message);
			$message = (strlen($message ) > $params->get('sh_message_length', 50) )?SuggestedPostsHelper::truncate($message, $params->get('sh_message_length', 25)):$message;
			echo $message; ?>
		</div>
		<?php } 
		
		if($params->get('sh_author') == 1){
		?>
		<div class="return-author">
			<?php echo JText::_('MOD_SUGGESTED_POTS_LAST_POST_BY'); ?>
			<a href="<?php echo $item->link_user; ?>" title="<?php echo $item->name; ?>" <?php echo SuggestedPostsHelper::parseTarget($params->get('link_target')); ?>  >
				<?php echo $item->name; ?>
			</a>
		</div>
		<?php } 
		
		if($params->get('sh_time') == 1) { ?>
		<div class="return-posttime">
			<?php echo KunenaDate::getInstance($item->time)->toKunena('config_post_dateformat');?>
		</div>
		<?php } ?>
	</div>
	<?php }
}
?>